#version 300 es
precision highp float;

uniform sampler2D uMainTex;

in vec4 uv01;
in vec4 uv23;
in vec4 uv45;
in vec4 uv67;
in vec2 vUV;
out vec4 fragColor;

void main() {
    vec4 sum = vec4(0.0);
    sum += texture(uMainTex, uv01.xy);
    sum += texture(uMainTex, uv01.zw) * 2.0;
    sum += texture(uMainTex, uv23.xy);
    sum += texture(uMainTex, uv23.zw) * 2.0;
    sum += texture(uMainTex, uv45.xy);
    sum += texture(uMainTex, uv45.zw) * 2.0;
    sum += texture(uMainTex, uv67.xy);
    sum += texture(uMainTex, uv67.zw) * 2.0;

    fragColor = sum * 0.0833;

    //fragColor = texture(uMainTex, vUV);
}